#!../../bin/linux-x86_64/KepcoPwrTest

## You may have to change KPIOTest to something else
## everywhere it appears in this file

< envPaths

epicsEnvSet "TTY" "$(TTY=/dev/ttyS0)"
epicsEnvSet(P,"KPwrMST1")
epicsEnvSet(R,"")
epicsEnvSet ("STREAM_PROTOCOL_PATH", "../../db")

## Register all support components
dbLoadDatabase("../../dbd/KepcoPwrTest.dbd",0,0)
KepcoPwrTest_registerRecordDeviceDriver(pdbbase) 

#asynOctetSetInputEos("L0",0,"\n")
#asynOctetSetOutputEos("L0",0,"\n")

drvAsynSerialPortConfigure("L0","$(TTY)",0,0,0) 
asynSetOption("L0", -1, "baud", "9600") 
asynSetOption("L0", -1, "bits", "8") 
asynSetOption("L0", -1, "parity", "none") 
asynSetOption("L0", -1, "stop", "1") 
asynSetOption("L0", -1, "clocal", "Y") 
asynSetOption("L0", -1, "crtscts", "N") 

asynSetTraceMask("L0", -1, 0x9)
asynSetTraceIOMask("L0", -1, 0x2)

## Load record instances
dbLoadRecords("../../db/devKepcoPwrMST.db","P=$(P),PORT=L0,R=$(R),A=-1")

iocInit()
epicsThreadSleep(2)
dbpf KPwrMST1SetParam syst:comm:ser:echo
dbpf KPwrMST1SetValue off
dbpf KPwrMST1Read 0
dbpf KPwrMST1IDN 0

